# Define the kmod package name here.
%define kmod_name tg3

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-504.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 3.137h
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.broadcom.com/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  linux-%{version}.zip
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s).
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -c -T -a 0
%{__tar} -zxf %{kmod_name}-%{version}.tar.gz
%{__rm} -rf *.gz *.rpm
%{__gzip} %{kmod_name}-%{version}/%{kmod_name}.4
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > %{kmod_name}-%{version}/kmod-%{kmod_name}.conf

%build
pushd %{kmod_name}-%{version} >/dev/null
%{__make} KVER=%{kversion} BCMSRCDIR=%{_usrsrc}/kernels/%{kversion} BCMCFGDIR=%{_usrsrc}/kernels/%{kversion}
popd >/dev/null

%install
pushd %{kmod_name}-%{version} >/dev/null
%{__install} -d %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} %{kmod_name}.ko %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} ChangeLog %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} README.TXT %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} -d %{buildroot}%{_mandir}/man4/
%{__install} %{kmod_name}.4.gz %{buildroot}%{_mandir}/man4/
popd >/dev/null
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Sun May 03 2015 Alan Bartlett <ajb@elrepo.org> - 3.137h-1
- Updated to version 3.137h

* Thu Oct 09 2014 Alan Bartlett <ajb@elrepo.org> - 3.136h-1
- Updated to version 3.136h

* Mon Nov 11 2013 Alan Bartlett <ajb@elrepo.org> - 3.133d-1
- Updated to version 3.133d

* Thu Jun 11 2013 Alan Bartlett <ajb@elrepo.org> - 3.129d-2
- Applied patch. [CVE-2013-1929]

* Thu Jun 06 2013 Alan Bartlett <ajb@elrepo.org> - 3.129d-1
- Updated to version 3.129d

* Sat Jan 05 2013 Alan Bartlett <ajb@elrepo.org> - 3.124c-1
- Updated to version 3.124c

* Sat Jul 07 2012 Alan Bartlett <ajb@elrepo.org> - 3.122n-1
- Updated to version 3.122n

* Thu Apr 26 2012 Alan Bartlett <ajb@elrepo.org> - 3.122g-1
- Updated to version 3.122g

* Mon Jul 18 2011 Alan Bartlett <ajb@elrepo.org> - 3.116j-1
- Initial el6 build of the kmod package.
